/preview/reports/{report-id}/output
curl --request GET \
--url https://api.criteo.com/preview/reports/{report-id}/output \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/preview/reports/{report-id}/output"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/preview/reports/{report-id}/output', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"data": [
[
"<unknown>"
]
],
"metadata": {
"columns": [
{
"currency": "<string>",
"deprecated": true,
"description": "<string>",
"duration": "<string>",
"name": "<string>",
"timezone": "<string>",
"title": "<string>"
}
],
"rows": 123
}
}
}/preview/reports/{report-id}/output
This endpoint gives you the output of the report.
GET
/
preview
/
reports
/
{report-id}
/
output
/preview/reports/{report-id}/output
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Id of the report
Response
Success
Result for an async report request
Result data for an async report request
Show child attributes
Show child attributes
Was this page helpful?
⌘I